## org.apache.ivy.util.cli
Class CommandLine

    java.lang.Object
      org.apache.ivy.util.cli.CommandLine

    public class CommandLine

extends java.lang.Object

Constructor Summary
`CommandLine()`

Method Summary
`java.lang.String[]` `getLeftOverArgs()`
`java.lang.String` `getOptionValue(java.lang.String option)`
`java.lang.String` `getOptionValue(java.lang.String option, java.lang.String defaultValue)`
`java.lang.String[]` `getOptionValues(java.lang.String option)`
`boolean` `hasOption(java.lang.String option)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### CommandLine

    public CommandLine()

Method Detail

### hasOption

    public boolean hasOption(java.lang.String option)

### getOptionValue

    public java.lang.String getOptionValue(java.lang.String option)

### getOptionValue

    public java.lang.String getOptionValue(java.lang.String option,
                                           java.lang.String defaultValue)

### getOptionValues

    public java.lang.String[] getOptionValues(java.lang.String option)

### getLeftOverArgs

    public java.lang.String[] getLeftOverArgs()